QByteArray(3qt)

NAME
QByteArray - Array of bytes

SYNOPSIS
All the functions in this class are reentrant when Qt is built with thread support.</p>

#include <ntqcstring.h>

Inherits QMemArray<char>.

Inherited by QBitArray and QCString.

  Public Members
QByteArray ()
QByteArray ( int size )

RELATED FUNCTION DOCUMENTATION
QByteArray qCompress ( const QByteArray & data )
QByteArray qCompress ( const uchar * data, int nbytes )
QByteArray qUncompress ( const QByteArray & data )
QByteArray qUncompress ( const uchar * data, int nbytes )

DESCRIPTION
The QByteArray class provides an array of bytes.

The QByteArray class provides an explicitly shared array of bytes. It is useful for manipulating memory areas with custom data. QByteArray is implemented as a QMemArray<char>. See the QMemArray documentation for further information.

See also Collection Classes and Non-GUI Classes.

MEMBER FUNCTION DOCUMENTATION

QByteArray::QByteArray ()
Constructs an empty QByteArray.

QByteArray::QByteArray ( int size )
Constructs a QByteArray of size size.

RELATED FUNCTION DOCUMENTATION

QByteArray tqCompress ( const QByteArray & data )
Compresses the array data and returns the compressed byte array using zlib.

See also tqUncompress().

QByteArray tqCompress ( const uchar * data, int nbytes )
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Compresses the array data which is nbytes long and returns the compressed byte array.

QByteArray tqUncompress ( const QByteArray & data )
Uncompresses the array data and returns the uncompressed byte array.

Returns an empty QByteArray if the input data was corrupt.

See also tqCompress().

QByteArray tqUncompress ( const uchar * data, int nbytes )
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Uncompresses the array data which is nbytes long and returns the uncompressed byte array.

SEE ALSO
http://doc.trolltech.com/qbytearray.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qbytearray.3qt) and the Qt version (3.3.8).